﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace AutoScrollingLegend
{
    public class ProductDetails
    {
        public ObservableCollection<Product> Details { get; set; }
        public ObservableCollection<Product> Collection { get; set; }

        public ProductDetails()
        {
            Details = new ObservableCollection<Product>();
            Collection = new ObservableCollection<Product>();
            Random rand = new Random();
            DateTime dt = DateTime.Now;

            for (int i = 11; i < 140; i++)
            {
                Collection.Add(new Product { Rate = rand.Next(110, 150), Speed = dt });
                Details.Add(new Product { Rate = rand.Next(190, 230), Speed = dt });
              
                dt = dt.AddMinutes(i);
            }
        }
    }
}
